Bug 1302285 - Review Request: perl-String-Util - String processing utilities
Review Request: perl-String-Util - String processing utilities
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1302283
Blocks: 1302288
  Show dependency treegraph
 
Reported: 2016-01-27 06:36 EST by Petr Šabata
Modified: 2016-02-16 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-String-Util-1.24-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 10:30:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2016-01-27 06:36:57 EST
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-String-Util/perl-String-Util.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-String-Util/perl-String-Util-1.24-1.fc23.src.rpm
Description:
String::Util provides a collection of small, handy utilities for
processing strings.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2016-01-27 08:49:01 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-String-Util-1.24-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(Carp)
      1 perl(Encode)
      1 perl(Exporter)
      1 perl(Number::Misc)
      1 perl(base)
      1 perl(overload)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-String-Util-1.24-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(String::Util) = 1.24
      1 perl-String-Util = 1.24-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-String-Util*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved
Comment 2 Gwyn Ciesla 2016-01-27 09:33:10 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-String-Util
Comment 3 Fedora Update System 2016-01-27 10:50:46 EST
perl-String-Util-1.24-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d285401910
Comment 4 Fedora Update System 2016-01-27 10:50:47 EST
perl-String-Util-1.24-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8dec07bdc7
Comment 5 Fedora Update System 2016-01-27 10:50:49 EST
perl-String-Util-1.24-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8dec07bdc7
Comment 6 Fedora Update System 2016-01-27 10:50:52 EST
perl-String-Util-1.24-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8dec07bdc7
Comment 7 Fedora Update System 2016-01-28 17:26:21 EST
perl-String-Util-1.24-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8dec07bdc7
Comment 8 Fedora Update System 2016-01-29 01:54:28 EST
perl-String-Util-1.24-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d285401910
Comment 9 Fedora Update System 2016-02-09 15:54:28 EST
perl-String-Util-1.24-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-10 05:51:18 EST
perl-String-Util-1.24-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.